import { outdent } from 'outdent';

export const docs: Record<string, string> = {
  introduction: outdent`
    <p>
      <b>Jillo</b> is yet another fun / utility / whatever Swiss knife Discord bot, except this time it's <em>better than the other ones, I promise, please,
      you'll have to trust me on this one, please</em>
    </p>
    <p>
      The main big feature currently is the <b>RPG</b>, which lets you scavenge for items, craft them up into weapons and fight others, completely
      customizable by server admins to their liking! It's a little rough, officially considered in <em>beta</em>, but you're free to toy around with it!
    </p>
    <p>
      Aside from that, you also have your classic <b>self-assignable roles</b> for colors and pronouns, <b>silly text games</b> somewhat like Jackbox but
      playable all inside Discord, and a few little silly miscellaneous commands. If it seems a little overengineered - that's because it is, but also
      because a good chunk of the bot's functionality is only relevant inside <em>specific friend groups</em> the bot was made for.
    </p>
    <p>
      That's about it! Here's a few links for your consideration:
    </p>
    <el>
      <li><a href="https://discord.com/oauth2/authorize?client_id=898850107892596776&scope=bot" target="_blank" rel="noopener">Invite</a> the bot to your server</li>
      <li><a href="https://git.oat.zone/dark-firepit/jillo-bot" target="_blank" rel="noopener">View the source code</a> that's completely open for you to peek at</li>
    </el>
    <img class="jillo" src="/assets/jillo.png" width="150" height="200">
  `,
};

export function formatTitle(name: string) {
  return name.replace('-', ' ');
}